JavaScript/jQuery ContextMenu - Access the Clicked Item

To access the clicked item, handle the itemClick event. If the event handling function is not going to be changed during the lifetime of the UI component, assign it to the onItemClick property when you configure the UI component.

JavaScript
  • $(function() {
  • $("#contextMenuContainer").dxContextMenu({
  • // ...
  • onItemClick: function(e) {
  • var itemData = e.itemData;
  • var itemElement = e.itemElement;
  • var itemIndex = e.itemIndex;
  • // ...
  • }
  • });
  • });

If you are going to change event handlers at runtime, or if you need to attach several handlers to the itemClick event, subscribe to this event using the on(eventName, eventHandler) method.

JavaScript
  • var itemClickHandler1 = function(e) {
  • // First handler of the "itemClick" event
  • };
  •  
  • var itemClickHandler1 = function(e) {
  • // Second handler of the "itemClick" event
  • };
  •  
  • $("#contextMenuContainer").dxContextMenu("instance")
  • .on("itemClick", itemClickHandler1)
  • .on("itemClick", itemClickHandler2);
See Also

React ContextMenu - Access the Clicked Item
To access the clicked item, handle the itemClick event. If the event handling function is not going to be changed during the lifetime of the UI component, assign it to the onItemClick property when you configure the UI component.
jQuery
JavaScript
$(function() { $("#contextMenuContainer").dxContextMenu({ // ... onItemClick: function(e) { var itemData = e.itemData; var itemElement = e.itemElement; var itemIndex = e.itemIndex; // ... } }); });
Angular
HTML
TypeScript
<dx-context-menu ... (onItemClick)="itemClick($event)"> </dx-context-menu>
import { DxContextMenuModule } from 'devextreme-angular'; // ... export class AppComponent { // ... itemClick(e) { const { itemData, itemElement, itemIndex } = e; // ... } } @NgModule({ imports: [ // ... DxContextMenuModule ], // ... })
Vue
App.vue
<template> <DxContextMenu ... @item-click="itemClick" /> </template> <script> import 'devextreme/dist/css/dx.light.css'; import DxContextMenu from 'devextreme-vue/context-menu'; export default { components: { DxContextMenu }, methods: { itemClick(e) { const { itemData, itemElement, itemIndex } = e; // ... } } }; </script>
React
App.js
import React from 'react'; import 'devextreme/dist/css/dx.light.css'; import { ContextMenu } from 'devextreme-react/context-menu'; class App extends React.Component { render() { return ( <ContextMenu ... onItemClick={this.itemClick} /> ); } itemClick = (e) => { const { itemData, itemElement, itemIndex } = e; // ... } } export default App;
jQuery
If you are going to change event handlers at runtime, or if you need to attach several handlers to the itemClick event, subscribe to this event using the on(eventName, eventHandler) method.
JavaScript
var itemClickHandler1 = function(e) { // First handler of the "itemClick" event }; var itemClickHandler1 = function(e) { // Second handler of the "itemClick" event }; $("#contextMenuContainer").dxContextMenu("instance") .on("itemClick", itemClickHandler1) .on("itemClick", itemClickHandler2);
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.